

import static org.junit.Assert.*;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;

/**
 * Die Test-Klasse ControllerTest.
 *
 * @author  (Ihr Name)
 * @version (eine Versionsnummer oder ein Datum)
 */
public class ControllerTest
{
    /**
     * Konstruktor fuer die Test-Klasse ControllerTest
     */
    public ControllerTest()
    {
    }

    /**
     *  Setzt das Testgerüst fuer den Test.
     *
     * Wird vor jeder Testfall-Methode aufgerufen.
     */
    @Before
    public void setUp()
    {
    }

    /**
     * Gibt das Testgerüst wieder frei.
     *
     * Wird nach jeder Testfall-Methode aufgerufen.
     */
    @After
    public void tearDown()
    {
    }

    @Test
    public void testBeispiel2()
    {
        Controller controll1 = new Controller();
        Sudoku sudoku = controll1.gibSudoku();
        int[] daten = {2,0,0,0,0,7,1,0,8,
                       0,0,0,0,0,0,3,2,0,
                       0,0,0,9,0,8,0,0,0,
                       0,8,0,0,5,0,9,0,0,
                       4,0,3,8,0,1,2,0,6,
                       0,0,9,0,7,0,0,8,0,
                       0,0,0,7,0,6,0,0,0,
                       0,6,8,0,0,0,0,0,0,
                       9,0,1,2,0,0,0,0,3};
        for (int i=0; i<81; i++)
        sudoku.belegeMit(i/9+1,i%9+1,daten[i]);
        controll1.gibSudoku().zeige();
        controll1.suche();
    }
    
    @Test
    public void testBeispiel()
    {
        // Abendblatt 27.6.2015 "schwer"
        Controller controll1 = new Controller();
        Sudoku sudoku = controll1.gibSudoku();
        int[] daten = {0,6,0, 2,0,8, 0,9,0,
                       7,0,0, 0,0,0, 0,0,2,
                       0,0,0, 0,6,0, 0,0,0,
                       1,0,0, 0,3,0, 0,0,6,
                       0,0,4, 6,0,5, 7,0,0,
                       8,0,0, 0,7,0, 0,0,3,
                       0,0,0, 0,9,0, 0,0,0,
                       3,0,0, 0,0,0, 0,0,5,
                       0,5,0, 4,0,1, 0,6,0};
        for (int i=0; i<81; i++)
        sudoku.belegeMit(i/9+1,i%9+1,daten[i]);
        controll1.gibSudoku().zeige();
        controll1.suche();
    }

    @Test
    public void testZeile()
    {
        Controller controll1 = new Controller();
        Sudoku sudoku = controll1.gibSudoku();
        sudoku.belegeMit(1,1,1);
        sudoku.belegeMit(1,1,2);
        sudoku.belegeMit(1,2,1);
        sudoku.belegeMit(1,3,3);
        sudoku.belegeMit(1,4,4);
        sudoku.belegeMit(1,5,5);
        sudoku.belegeMit(1,6,6);
        sudoku.belegeMit(1,7,7);
        sudoku.belegeMit(1,8,8);
        sudoku.belegeMit(1,9,9);
        sudoku.belegeMit(1,10,-1);
        sudoku.zeige();
    }

    @Test
    public void testSpalte()
    {
        Controller controll1 = new Controller();
        Sudoku sudoku = controll1.gibSudoku();
        sudoku.belegeMit(1,9,1);
        sudoku.belegeMit(1,9,2);
        sudoku.belegeMit(2,9,1);
        sudoku.belegeMit(3,9,3);
        sudoku.belegeMit(4,9,4);
        sudoku.belegeMit(5,9,5);
        sudoku.belegeMit(6,9,6);
        sudoku.belegeMit(7,9,7);
        sudoku.belegeMit(8,9,8);
        sudoku.belegeMit(9,9,9);
        sudoku.belegeMit(10,9,-1);
        sudoku.zeige();
    }
    
    @Test
    public void testBlock()
    {
        Controller controll1 = new Controller();
        Sudoku sudoku = controll1.gibSudoku();
        sudoku.belegeMit(4,4,1);
        sudoku.belegeMit(4,4,2);
        sudoku.belegeMit(4,5,1);
        sudoku.belegeMit(4,6,3);
        sudoku.belegeMit(5,4,4);
        sudoku.belegeMit(5,5,5);
        sudoku.belegeMit(5,6,6);
        sudoku.belegeMit(6,4,7);
        sudoku.belegeMit(6,5,8);
        sudoku.belegeMit(6,6,9);
        sudoku.zeige();
    }
}

